html,
body {
  height: 100vh;
}

html.default-layout {
  div.default-layout {
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 100%;
  }

  @media screen {
    header {
      position: -webkit-sticky;
      position: sticky;
      top: 0;
      display: flex;
      flex-direction: column;
      height: 10%;
      padding: 1% 1% 1.5% 1%;
      z-index: 2;
      background-color: white;
      transition: background-color 500ms ease-in-out;
      -webkit-transition: background-color 500ms ease-in-out;

      .top-wrapper.full {
        display: flex;
        justify-content: space-between;
        height: 100%;

        .logo-wrapper {
          display: flex;
          width: 30%;
        }

        .menu-wrapper {
          display: flex;
          flex: 1;
          width: 60%;
          justify-content: flex-end;
        }

        .flag {
          /* Hacky thing to handle weird blank space around flags */
          height: 66px;
        }
      }

      .top-wrapper.reduced {
        display: none;
      }
    }

    header.scrolled {
      background-color: $clear-water-blue;
    }

    h3 {
      text-align: center;
    }

    main {
      display: flex;
      flex-direction: column;
      height: 100%;

      #content-wrapper {
        display: flex;
        justify-content: center;
        width: 100%;
        padding: 0 0 5rem 0;

        #content {
          display: flex;
          flex-direction: column;
        }
      }
    }
  }

  /******************* Mobile devices: burger menu and modified header *******************/

  @media screen and (orientation: portrait), (orientation: landscape) and (max-width: 1200px) {
    header {
      .top-wrapper.full {
        display: none;
      }

      .top-wrapper.reduced {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        height: 100%;

        .logo-wrapper {
          display: flex;
          width: 100%;

          .logo {
            justify-content: left;
            padding: 0;

            .logo-pagoda {
              display: none;
            }
          }
        }

        .menu-wrapper {
          display: flex;
          justify-content: center;
          width: 100%;

          .name-link {
            margin: 0.25rem 0 0.25rem 0;
          }

          .main-menu {
            padding: 0 3% 0 3%;

            #burger-menu {
              display: flex;

              #menu-bars-icon {
                height: 2rem;
                cursor: pointer;
              }

              #burger-menu-links {
                width: 100%;
                position: fixed;
                left: 0;
                line-height: 2.5rem;
                background-color: white;
                max-height: 0;
                overflow: hidden;
                -webkit-transition: max-height 0.15s ease-out; /* Safari, Chrome and Opera > 12.1 */
                -moz-transition: max-height 0.15s ease-out; /* Firefox < 16 */
                -ms-transition: max-height 0.15s ease-out; /* Internet Explorer */
                -o-transition: max-height 0.15s ease-out; /* Opera < 12.1 */
                transition: max-height 0.15s ease-out;

                ul {
                  text-align: left;

                  li {
                    float: none;
                    border-top: 1px $light-grey solid;
                    padding-left: 4%;

                    a {
                      width: 100%;
                      display: flex;
                      justify-content: space-between;

                      span:last-child {
                        font-size: 2rem;
                      }
                    }

                    a.current {
                      border-bottom: 0;
                      color: $teal;
                    }
                  }
                }
              }

              #burger-menu-links.unfolded {
                border-bottom: $light-grey 2px solid;
              }
            }
          }
        }

        .language-selector {
          padding-right: 3%;

          .flag {
            /* Hacky thing to handle weird blank space around flags */
            height: 62px;
          }
        }
      }
    }
  }

  /******************************  Mobile devices: Portrait ******************************/
  @media screen and (orientation: portrait) {
    #content {
      width: 90%;
    }

    /* Small to average phone screens */
    @media screen and (max-width: 480px) {
      /* Small phone screens: width < 320px */
      @media screen and (max-width: 320px) {
        font-size: 13px;
      }

      /* Average phone screens: 320px < width < 480px */
      @media screen and (min-width: 321px) and (max-width: 480px) {
        font-size: 14px;
      }

      .intro-block {
        height: 6rem;

        .intro-block-placeholder {
          width: 5rem;
        }

        h2 {
          font-size: 2rem;
        }
      }
    }

    /* Larger screens: 480px < width < 600px */
    @media screen and (min-width: 481px) and (max-width: 600px) {
      font-size: 15px;
    }

    /* Tablet screens: 600px < width < 768px */
    @media screen and (min-width: 601px) and (max-width: 768px) {
      font-size: 17px;
    }

    /* Average tablet screens: 768px < width < 900px */
    @media screen and (min-width: 769px) and (max-width: 900px) {
      font-size: 17px;
    }

    /* Large tablet screens: 900px < width < 1200px */
    @media screen and (min-width: 901px) and (max-width: 1200px) {
      font-size: 19px;
    }

    /* "I don't even have enough content for such a display" screens: 1200px < width */
    @media screen and (min-width: 1201px) {
      font-size: 21px;
    }
  }

  /******************************  All devices: Landscape ******************************/
  @media screen and (orientation: landscape) {
    #content {
      width: 60%;
    }

    /* Small to average phone screens */
    @media screen and (max-height: 480px) {
      #content {
        width: 75%;
      }

      /* Small phone screens: height < 320px */
      @media screen and (max-height: 320px) {
        font-size: 15px;
      }

      /* Average phone screens: 320px < height < 480px */
      @media screen and (min-height: 321px) and (max-height: 480px) {
        font-size: 16px;
      }

      .intro-block {
        height: 6rem;

        .intro-block-placeholder {
          width: 5rem;
        }

        h2 {
          font-size: 2rem;
        }
      }
    }

    /* Larger screens: 480px < height < 600px */
    @media screen and (min-height: 481px) and (max-height: 600px) {
      font-size: 17px;

      #content {
        width: 75%;
      }
    }

    /* Tablet screens: 600px < height < 768px */
    @media screen and (min-height: 601px) and (max-height: 768px) {
      font-size: 19px;

      #content {
        width: 75%;
      }
    }

    /* Huge tablet screens or low-res desktops : 768px < height < 834px */
    @media screen and (min-height: 769px) and (max-height: 834px) {
      #content {
        width: 80%;
      }
    }

    /* Split windows on desktop */
    @media screen and (min-height: 834px and (max-height: 1024px)) {
      #content {
        width: 80%;
      }
    }
  }
}
